from flask import Flask, render_template
from flask_assets import Environment, Bundle
import os

app = Flask(__name__)
assets = Environment(app)
assets.url = app.static_url_path
scss = Bundle('style/main.scss', filters='libsass', output='all.css', depends='**/*.scss')

assets.config['PYSCSS_LOAD_PATHS'] = assets.load_path
assets.config['PYSCSS_STATIC_URL'] = assets.url
assets.config['PYSCSS_STATIC_ROOT'] = assets.directory
assets.config['PYSCSS_ASSETS_URL'] = assets.url
assets.config['PYSCSS_ASSETS_ROOT'] = assets.directory

assets.register('scss_all', scss)

@app.route("/")
def test():
    return render_template("main.html")

if __name__ == "__main__":
    app.run(host='0.0.0.0')